From: Surasak Sukhsawas <[email-masked]>
Date: Tue, 1 Jul 1997 12:24:08 +0700

[email-masked]
[email-masked]
SUBSCRIBE WU-FTPD Surasak Sukhsawas
------------------------------------------------------------------------------

	I've tried to compile wu-ftpd-2.4.2-beta-13 on Alpha Server 2100a
running Digital unix 4.0b with Enhanced Security (C2) mode. The following is
what I got,

------------------------------------------------------------------------------
$ ./build dec
make args are :
make opts are :

Linking Makefiles.

Making support library.
cc -O   -c getusershell.c
cc -O   -c fnmatch.c
cc -O   -c strcasestr.c
cc -O   -c strerror.c
cc -O   -c strsep.c
cc -O   -c authuser.c
cc -O   -c snprintf.c
rm -f libsupport.a
ar cq libsupport.a getusershell.o fnmatch.o strcasestr.o strerror.o  strsep.o authuser.o snprintf.o
ranlib libsupport.a

Making ftpd.
cc -O -I.. -I../support -Olimit 1000 -L../support -s -x -c ftpd.c
cc: Severe: /usr/include/prot.h, line 71: Cannot find file <acl.h> specified in #include directive.
#include <acl.h>
-^
cc: Error: /usr/include/prot.h, line 71: Object file deleted.
#include <acl.h>
-^
*** Exit 1
Stop.

Making ftpcount.
cc -O -I.. -I../support -Olimit 1000 -L../support -s -x -o ftpcount ftpcount.c vers.o -lsupport -lsecurity
ld:
Can't open: vers.o (No such file or directory)
*** Exit 1
Stop.

Making ftpshut.
cc -O -I.. -I../support -Olimit 1000 -L../support -s -x -o ftpshut ftpshut.c vers.o -lsupport -lsecurity
ld:
Can't open: vers.o (No such file or directory)
*** Exit 1
Stop.

Making ckconfig.
cc -O -I.. -I../support -Olimit 1000 -L../support -s -x -o ckconfig ckconfig.c

Links to executables are in bin directory:
size: Cannot open bin/ftpd
size: Cannot open bin/ftpcount
size: Cannot open bin/ftpshut
size: Cannot open bin/ftpwho
text    data    bss     dec     hex
8192    8192    0       16384   4000    bin/ckconfig
Done

$
------------------------------------------------------------------------------

	Then I inserted -I/usr/sys/include/sys to the line IFLAGS of src/makefiles/Makefile.dec as follow,

IFLAGS   = -I/usr/sys/include/sys -I.. -I../support -Olimit 1000

and did do ./build clean then ./build dec again. The following is what I got,

------------------------------------------------------------------------------
$ ./build dec
make args are :
make opts are :

Linking Makefiles.

Making support library.
cc -O   -c getusershell.c
cc -O   -c fnmatch.c
cc -O   -c strcasestr.c
cc -O   -c strerror.c
cc -O   -c strsep.c
cc -O   -c authuser.c
cc -O   -c snprintf.c
rm -f libsupport.a
ar cq libsupport.a getusershell.o fnmatch.o strcasestr.o strerror.o  strsep.o authuser.o snprintf.o
ranlib libsupport.a

Making ftpd.
cc -O -I/usr/sys/include/sys -I.. -I../support -Olimit 1000 -L../support -s -x -c ftpd.c
yacc  ftpcmd.y
mv  y.tab.c ftpcmd.c
cc -O -I/usr/sys/include/sys -I.. -I../support -Olimit 1000 -L../support -s -x -c ftpcmd.c
cc: Error: ftpcmd.y, line 681: In this statement, "tm_year" is not a member of "t".
                        t->tm_year, t->tm_mon+1, t->tm_mday,
------------------------^
cc: Error: ftpcmd.y, line 681: In this statement, "tm_mon" is not a member of "t".
                        t->tm_year, t->tm_mon+1, t->tm_mday,
------------------------------------^
cc: Error: ftpcmd.y, line 681: In this statement, "tm_mday" is not a member of "t".
                        t->tm_year, t->tm_mon+1, t->tm_mday,
-------------------------------------------------^
cc: Error: ftpcmd.y, line 682: In this statement, "tm_hour" is not a member of "t".
                        t->tm_hour, t->tm_min, t->tm_sec);
------------------------^
cc: Error: ftpcmd.y, line 682: In this statement, "tm_min" is not a member of "t".
                        t->tm_hour, t->tm_min, t->tm_sec);
------------------------------------^
cc: Error: ftpcmd.y, line 682: In this statement, "tm_sec" is not a member of "t".
                        t->tm_hour, t->tm_min, t->tm_sec);
-----------------------------------------------^
*** Exit 1
Stop.

Making ftpcount.
cc -O -I/usr/sys/include/sys -I.. -I../support -Olimit 1000 -L../support -s -x -o ftpcount ftpcount.c vers.o -lsupport -lsecurity
cc: Warning: ftpcount.c, line 96: In this statement, "localtime(...)" of type "int", is being converted to "pointer to struct tm".
    curtime = localtime(&clock);
----^
cc: Error: ftpcount.c, line 97: In this statement, "tm_wday" is not a member of "curtime".
    wday = curtime->tm_wday;
-----------^
cc: Error: ftpcount.c, line 121: In this statement, "tm_min" is not a member of "curtime".
        ltime = curtime->tm_min + 100 * curtime->tm_hour;
----------------^
cc: Error: ftpcount.c, line 121: In this statement, "tm_hour" is not a member of "curtime".
        ltime = curtime->tm_min + 100 * curtime->tm_hour;
----------------------------------------^
*** Exit 1
Stop.

Making ftpshut.
cc -O -I/usr/sys/include/sys -I.. -I../support -Olimit 1000 -L../support -s -x -o ftpshut ftpshut.c vers.o -lsupport -lsecurity
cc: Warning: ftpshut.c, line 222: In this statement, "localtime(...)" of type "int", is being converted to "pointer to struct tm".
            tp = localtime(&c_time);
------------^
cc: Warning: ftpshut.c, line 226: In this statement, "localtime(...)" of type "int", is being converted to "pointer to struct tm".
            tp = localtime(&c_time);
------------^
cc: Warning: ftpshut.c, line 229: In this statement, "localtime(...)" of type "int", is being converted to "pointer to struct tm".
            tp = localtime(&c_time);
------------^
cc: Error: ftpshut.c, line 230: In this statement, "tm_hour" is not a member of "tp".
            tp->tm_hour = c / 100;
------------^
cc: Error: ftpshut.c, line 231: In this statement, "tm_min" is not a member of "tp".
            tp->tm_min = c % 100;
------------^
cc: Error: ftpshut.c, line 233: In this statement, "tm_hour" is not a member of "tp".
            if ((tp->tm_hour > 23) || (tp->tm_min > 59)) {
-----------------^
cc: Error: ftpshut.c, line 233: In this statement, "tm_min" is not a member of "tp".
            if ((tp->tm_hour > 23) || (tp->tm_min > 59)) {
---------------------------------------^
cc: Error: ftpshut.c, line 268: In this statement, "tm_year" is not a member of "tp".
            (tp->tm_year) + 1900,
-------------^
cc: Error: ftpshut.c, line 269: In this statement, "tm_mon" is not a member of "tp".
            tp->tm_mon,
------------^
cc: Error: ftpshut.c, line 270: In this statement, "tm_mday" is not a member of "tp".
            tp->tm_mday,
------------^
cc: Error: ftpshut.c, line 271: In this statement, "tm_hour" is not a member of "tp".
            tp->tm_hour,
------------^
cc: Error: ftpshut.c, line 272: In this statement, "tm_min" is not a member of "tp".
            tp->tm_min,
------------^
*** Exit 1
Stop.

Making ckconfig.
cc -O -I/usr/sys/include/sys -I.. -I../support -Olimit 1000 -L../support -s -x -o ckconfig ckconfig.c

Links to executables are in bin directory:
size: Cannot open bin/ftpd
size: Cannot open bin/ftpcount
size: Cannot open bin/ftpshut
size: Cannot open bin/ftpwho
text    data    bss     dec     hex
8192    8192    0       16384   4000    bin/ckconfig
Done

$
------------------------------------------------------------------------------

	Could anyone help me out?

Thanks in advance,
[email-masked]

------------------------------------------------------------------------------
Surasak Sukhsawas
Institute of Computer and Information Technology
King Mongkut's Institute of Technology North Bangkok
1518 Piboolsongkram Rd. Bangsue Bangkok 10800 Thailand
Tel. +662-9132586
Fax. +662-5857945
------------------------------------------------------------------------------